Skip to content
iTick
  1. Docs
  2. REST API
  3. Fund
  4. Real-Time Tick

Real-Time Tick

Provides comprehensive fund data API. For on-exchange funds, it offers real-time tick-level transactions and order book data for ETFs, LOFs and other varieties; for off-exchange funds, it provides accurate intraday real-time NAV estimates (IOPV) and official NAV after market close. Data covers mainstream markets including Chinese funds, US funds, and Hong Kong funds.

GET/fund/tick

Request Parameters

regionenumRequired

Market code

codestringRequired

Product code

Response Parameters

codenumber

Response code

msgstring

Response description

dataobject▶Response result
sstring

Symbol code

ldnumber

Latest price

tnumber

Timestamp of the latest trade

vnumber

Transaction volume

Code Examples

import requests

url = "https://api.itick.org/fund/tick?region=US&code=QQQ"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GEThttps://api.itick.org/fund/tick?region=US&code=QQQ

, Run query

Response Result

{
  "code": 0,
  "msg": null,
  "data": {
    "s": "QQQ",
    "ld": 553.88,
    "t": 1754092799000,  // 2025-08-01 23:59:59 UTC
    "v": 11888
  }
}